package cn.ezhizao.project.business.domain;

import java.math.BigDecimal;
import java.util.Date;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 加工中心对象 biz_machine_center
 *
 * @author ezhizao
 * @date 2024-06-06
 */
@Data
@TableName(value = "biz_machine_center")
public class BizMachineCenter extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 加工中心码 */
    @Excel(name = "加工中心码")
    @ApiModelProperty(value = "加工中心码")
    private String machineCenterCode;

    /** 助记码 */
    @Excel(name = "助记码")
    @ApiModelProperty(value = "助记码")
    private String mnemonicCode;

    /** 加工中心 */
    @Excel(name = "加工中心")
    @ApiModelProperty(value = "加工中心")
    private String machineCenter;

    /** 厂别 这玩意叫厂别，不知道是不是真是厂别的意思所以我先用这个字段名不用tenant_id了 */
    @Excel(name = "厂别 这玩意叫厂别，不知道是不是真是厂别的意思所以我先用这个字段名不用tenant_id了")
    @ApiModelProperty(value = "厂别 这玩意叫厂别，不知道是不是真是厂别的意思所以我先用这个字段名不用tenant_id了")
    private String facno;

    /** 料损率 */
    @Excel(name = "料损率")
    @ApiModelProperty(value = "料损率")
    private BigDecimal materialLossRate;

    /** Y有表面处理按售价-工序单价计算N无表面处理工序 */
    @Excel(name = "Y有表面处理按售价-工序单价计算N无表面处理工序")
    @ApiModelProperty(value = "Y有表面处理按售价-工序单价计算N无表面处理工序")
    private String surfaceTreatment;

    /** 运费扣款单价 */
    @Excel(name = "运费扣款单价")
    @ApiModelProperty(value = "运费扣款单价")
    private BigDecimal freightDeductUnitPrice;

    /** 税率 */
    @Excel(name = "税率")
    @ApiModelProperty(value = "税率")
    private Integer taxRatio;

    /** 操作者 */
    @Excel(name = "操作者")
    @ApiModelProperty(value = "操作者")
    private String writerUser;

    /** 操作日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "操作日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "操作日期")
    private Date writerDate;

    /** 状态 NA外协单位可用,CL外协单位不用 */
    @Excel(name = "状态 NA外协单位可用,CL外协单位不用")
    @ApiModelProperty(value = "状态 NA外协单位可用,CL外协单位不用")
    private String status;

    /** 结算方式 */
    @Excel(name = "结算方式")
    @ApiModelProperty(value = "结算方式")
    private String modeOfSettlement;

    /** 废品单价类别 */
    @Excel(name = "废品单价类别")
    @ApiModelProperty(value = "废品单价类别")
    private String wastePriceCategory;

    public BizMachineCenter(){}

    public BizMachineCenter(Sfc10100 l) {
        this.machineCenter = l.getMcname().trim();
        this.machineCenterCode = l.getMccode().trim();
        this.facno = l.getFacno().trim();
        this.mnemonicCode = l.getFinkey().trim();
        this.materialLossRate = l.getLsl();
        this.surfaceTreatment = l.getBmcl().trim();
        this.freightDeductUnitPrice = l.getYfprc();
        this.taxRatio = l.getTaxsl();
        this.writerUser = l.getWriteruser().trim();
        this.writerDate = l.getWritedate();
        this.status = l.getStatus().trim();
        this.modeOfSettlement = l.getJsfs().trim();
        this.wastePriceCategory = l.getFptype().trim();
    }

    public void setBySfc10100(Sfc10100 l) {
        this.machineCenter = l.getMcname().trim();
        this.machineCenterCode = l.getMccode().trim();
        this.facno = l.getFacno().trim();
        this.mnemonicCode = l.getFinkey().trim();
        this.materialLossRate = l.getLsl();
        this.surfaceTreatment = l.getBmcl().trim();
        this.freightDeductUnitPrice = l.getYfprc();
        this.taxRatio = l.getTaxsl();
        this.writerUser = l.getWriteruser().trim();
        this.writerDate = l.getWritedate();
        this.status = l.getStatus().trim();
        this.modeOfSettlement = l.getJsfs().trim();
        this.wastePriceCategory = l.getFptype().trim();
    }
}
