package cn.ezhizao.project.business.domain;

import java.math.BigDecimal;
import java.util.Date;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 材料基础信息对象 biz_material_base_info
 *
 * @author ezhizao
 * @date 2024-06-18
 */
@Data
@TableName(value = "biz_material_base_info")
public class BizMaterialBaseInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String productCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String materialCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String prloc;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal gccd;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String ltcd;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String zlcd;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal utrate;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal dxqty;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal yzj;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal base;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String description;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String bomsta;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String writeruser;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private Date writedate;

    public BizMaterialBaseInfo() {
        super();
    }

    public BizMaterialBaseInfo(Bom30101 l) {
        this.materialCode = l.getPart().trim();
        this.productCode = l.getCpart().trim();
        this.prloc = l.getPrloc();
        this.gccd = l.getGccd();
        this.ltcd = l.getLtcd();
        this.zlcd = l.getZlcd();
        this.utrate = l.getUtrate();
        this.dxqty = l.getDxqty();
        this.yzj = l.getYzj();
        this.base = l.getBase();
        this.description = l.getDescription();
        this.bomsta = l.getBomsta();
        this.writedate = l.getWritedate();
        this.writeruser = l.getWriteruser();
    }

    public void setByBom30101(Bom30101 l) {
        this.materialCode = l.getPart().trim();
        this.productCode = l.getCpart().trim();
        this.prloc = l.getPrloc();
        this.gccd = l.getGccd();
        this.ltcd = l.getLtcd();
        this.zlcd = l.getZlcd();
        this.utrate = l.getUtrate();
        this.dxqty = l.getDxqty();
        this.yzj = l.getYzj();
        this.base = l.getBase();
        this.description = l.getDescription();
        this.bomsta = l.getBomsta();
        this.writedate = l.getWritedate();
        this.writeruser = l.getWriteruser();
    }
}
