package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 工艺主表对象 biz_technological_process
 *
 * @author ezhizao
 * @date 2023-11-13
 */
@Data
@TableName(value = "biz_technological_process")
public class BizTechnologicalProcess extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户id，厂别或类型1:Ⅰ类2：Ⅱ类 */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 工艺版本A,B,C */
    @ApiModelProperty(value = "${comment}")
    private String technologyVersion;

    /** 产品外键id */
    @ApiModelProperty(value = "${comment}")
    private Long productId;

    /** 产品编码 */
    @ApiModelProperty(value = "${comment}")
    private String productCode;

    /** 轴类型码 */
    @Excel(name = "轴类型码")
    @ApiModelProperty(value = "轴类型码")
    private String productShaftCategory;

    /** 轴类型 */
    @Excel(name = "轴类型")
    @ApiModelProperty(value = "轴类型")
    private String productShaftCategoryName;

    /** 规格 */
    @Excel(name = "规格")
    @ApiModelProperty(value = "规格")
    private String productSpecification;

    /** 图号 */
    @Excel(name = "图号")
    @ApiModelProperty(value = "图号")
    private String productDrawingNumber;

    /** 产品描述 */
    @Excel(name = "产品描述")
    @ApiModelProperty(value = "产品描述")
    private String productDescription;

    /** 创建者编码 */
    @Excel(name = "创建者编码")
    @ApiModelProperty(value = "创建者编码")
    private String creatorCode;

    /** 修改者编码 */
    @Excel(name = "修改者编码")
    @ApiModelProperty(value = "修改者编码")
    private String updaterCode;

}
