package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 工艺工序中间表对象 biz_technological_process_detail
 *
 * @author ezhizao
 * @date 2023-11-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "biz_technological_process_detail")
public class BizTechnologicalProcessDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 工艺id
     */
    @ApiModelProperty(value = "${comment}")
    private Long technologicalProcessId;

    /**
     * 产品id
     */
    @ApiModelProperty(value = "${comment}")
    private Long productId;

    /** 租户id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;
    /**
     * 产品编码
     */
    @Excel(name = "产品编码")
    @ApiModelProperty(value = "产品编码")
    private String productCode;

    /**
     * =seq1(2位)+seq2(1位)+0(第4位用于单批单改)
     */
    @Excel(name = "=seq1(2位)+seq2(1位)+0(第4位用于单批单改)")
    @ApiModelProperty(value = "=seq1(2位)+seq2(1位)+0(第4位用于单批单改)")
    private String processStepNumber;

    /**
     * 工序id
     */
    @ApiModelProperty(value = "=seq1(2位)+seq2(1位)+0(第4位用于单批单改)")
    private Long processId;

    /**
     * 工序编码
     */
    @Excel(name = "工序编码")
    @ApiModelProperty(value = "工序编码")
    private String processCode;

    /**
     * 工序简称
     */
    @Excel(name = "工序简称")
    @ApiModelProperty(value = "工序简称")
    private String processAlias;

    /**
     * 轴类型码
     */
    @Excel(name = "轴类型码")
    @ApiModelProperty(value = "轴类型码")
    private String productShaftCategory;

    /**
     * 轴类型助记码EPS
     */
    @Excel(name = "轴类型助记码EPS")
    @ApiModelProperty(value = "轴类型助记码EPS")
    private String productShaftCategoryName;

    /**
     * 产品描述
     */
    @Excel(name = "产品描述")
    @ApiModelProperty(value = "产品描述")
    private String productDescription;


    @TableField(exist = false)
    private Long deptId;
//    /**
//     * 图纸
//     */
//    @Excel(name = "图纸")
//    @ApiModelProperty(value = "图纸")
//    private String drawingFile;

    /** 工艺版本A,B,C */
    @ApiModelProperty(value = "${comment}")
    private String technologyVersion;

    /** 工序key */
    @ApiModelProperty("${comment}")
    private String processKey;
}
