package cn.ezhizao.project.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 产品对象 inc10100
 *
 * @author ezhizao_zx
 * @date 2023-11-04
 */
@Data
@TableName(value = "inc10100")
public class Inc10100 {
    /** 料号 */
    @ApiModelProperty(value = "${comment}")
    private String part;
    /** 预入仓库 */
    @ApiModelProperty(value = "${comment}")
    private String prloc;
    /** 类别9:成品8:半成品 */
    @ApiModelProperty(value = "${comment}")
    private String type;
    /** 大类编码 */
    @ApiModelProperty(value = "${comment}")
    private String bclass;
    /** 小类编码 */
    @ApiModelProperty(value = "${comment}")
    private String sclass;
    /** 轴类型 大类 */
    @ApiModelProperty(value = "${comment}")
    private String dtype;
    /** 轴类型 基本类 */
    @ApiModelProperty(value = "${comment}")
    private String ztype;
    /** 规格 */
    @ApiModelProperty(value = "${comment}")
    private String spec;
    /** 图号 */
    @ApiModelProperty(value = "${comment}")
    private String draw;
    /** 客户简称 */
    @ApiModelProperty(value = "${comment}")
    private String khjc;
    /** 客户简称_图号_规格 */
    @ApiModelProperty(value = "${comment}")
    private String descr;
    /** 单位 */
    @ApiModelProperty(value = "${comment}")
    private String uom;
    /** 计料形式 */
    @ApiModelProperty(value = "${comment}")
    private String isstype;
    /** 1:柱体2:圆管3:圆片4:组件9：其它 */
    @ApiModelProperty(value = "${comment}")
    private String xztype;
    /** 成品坯重g/个毛重 */
    @ApiModelProperty(value = "${comment}")
    private BigDecimal kos;
    /** 成品单重净重g/个 */
    @ApiModelProperty(value = "${comment}")
    private BigDecimal kgs;
    /** 生产厂家与最终客户的关系 */
    @ApiModelProperty(value = "${comment}")
    private String rkbz;
    /** 隶属厂别 */
    @ApiModelProperty(value = "${comment}")
    private String facno;
    /** 生产单位 */
    @ApiModelProperty(value = "${comment}")
    private String sfacno;
    /** 密度 */
    @ApiModelProperty(value = "${comment}")
    private BigDecimal density;
    /** 直径 */
    @ApiModelProperty(value = "${comment}")
    private BigDecimal dzj;
    /** 成品长度 */
    @ApiModelProperty(value = "${comment}")
    private BigDecimal lenght;
    /** 厚度 */
    @ApiModelProperty(value = "${comment}")
    private Integer abbr;
    /** 直径 */
    @ApiModelProperty(value = "${comment}")
    private String dzjs;
    /** 成品长度 */
    @ApiModelProperty(value = "${comment}")
    private String lenghts;
    /** 厚度 */
    @ApiModelProperty(value = "${comment}")
    private String abbrs;
    /** 客户物料号 */
    @ApiModelProperty(value = "${comment}")
    private String khpart;
    /** 客户订单号 */
    @ApiModelProperty(value = "${comment}")
    private String khorder;
    /** 客户商品名称 */
    @ApiModelProperty(value = "${comment}")
    private String spname;
    /** 客户代号 */
    @ApiModelProperty(value = "${comment}")
    private String cust;
    /** 销售业务员 */
    @ApiModelProperty(value = "${comment}")
    private String xsyno;
    /** 保管员 */
    @ApiModelProperty(value = "${comment}")
    private String bgyno;
    /** 调度员 */
    @ApiModelProperty(value = "${comment}")
    private String ddyno;
    /** 华普商品编码 */
    @ApiModelProperty(value = "${comment}")
    private String hpart;
    /** 周转箱产品净重 */
    @ApiModelProperty(value = "${comment}")
    private BigDecimal zykos;
    /** 建立者 */
    @ApiModelProperty(value = "${comment}")
    private String createuser;
    /** 建立日期 */
    @ApiModelProperty(value = "${comment}")
    private Date createdate;
    /** 打印合格证厂别 1德迈仕 2金华德 */
    @ApiModelProperty(value = "${comment}")
    private String facnoh;
    /** 单盒支数 */
    @ApiModelProperty(value = "${comment}")
    private Integer dxzs;
    /** 订单号 */
    @ApiModelProperty(value = "${comment}")
    private String orderno;
    /** 包装合数 */
    @ApiModelProperty(value = "${comment}")
    private Integer bzhs;
    /**  */
    @ApiModelProperty(value = "${comment}")
    private Integer weigs;
    /** 商品简码或客户批号 */
    @ApiModelProperty(value = "${comment}")
    private String spcode;
    /** 材料牌号 */
    @ApiModelProperty(value = "${comment}")
    private String phcode;
    /** 材料牌号 */
    @ApiModelProperty(value = "${comment}")
    private String phname;
    /** 销售平均单价 */
    @ApiModelProperty(value = "${comment}")
    private BigDecimal unprc;
    /** 有半成品YN是否在金华德生产后购入 */
    @ApiModelProperty(value = "${comment}")
    private String zjbz;
    /** Z:重点类N:非重点类 */
    @ApiModelProperty(value = "${comment}")
    private String qcbz;
    /** 量产时间 */
    @ApiModelProperty(value = "${comment}")
    private String lcsj;
    /** 前期预示量 */
    @ApiModelProperty(value = "${comment}")
    private String qysl;
    /** 年使用量 */
    @ApiModelProperty(value = "${comment}")
    private String nsyl;
    /** 年使用量 */
    @ApiModelProperty(value = "${comment}")
    private String nsyl1;
    /** 年使用量 */
    @ApiModelProperty(value = "${comment}")
    private String nsyl2;
    /** 通知单日期 */
    @ApiModelProperty(value = "${comment}")
    private Date tzdate;
    /** 制定者 */
    @ApiModelProperty(value = "${comment}")
    private String zdzno;
    /** 备注 */
    @ApiModelProperty(value = "${comment}")
    private String remark;
    /** 状态 NA正常,CL不用,OP封存 */
    @ApiModelProperty(value = "${comment}")
    private String status;
    /** Y/N */
    @ApiModelProperty(value = "${comment}")
    private String gxcp;
    /** 集团助记码 */
    @ApiModelProperty(value = "${comment}")
    private String finkey;
    /** 发货重量用电箱数量 */
    @ApiModelProperty(value = "${comment}")
    private Integer dxqty;
    /** 有BOM否 */
    @ApiModelProperty(value = "${comment}")
    private String bomsta;
    /** 合并替换码 */
    @ApiModelProperty(value = "${comment}")
    private String tpart;
    /** Y:样品 N:量产,T:图号升级 */
    @ApiModelProperty(value = "${comment}")
    private String ypbz;
    /** Y:样品 N:量产,T:图号升级保留最原始状态不变 */
    @ApiModelProperty(value = "${comment}")
    private String cptype;
    /** 操作者 */
    @ApiModelProperty(value = "${comment}")
    private String writeruser;
    /** 更新日期 */
    @ApiModelProperty(value = "${comment}")
    private Date writedate;
    /** 变更信息 */
    @ApiModelProperty(value = "${comment}")
    private String remark1;
    /** 变更信息 */
    @ApiModelProperty(value = "${comment}")
    private String remark2;
    /** 客户简称 */
    @ApiModelProperty(value = "${comment}")
    private String khna;
    /** 不同客户打印合格证图号不同 */
    @ApiModelProperty(value = "${comment}")
    private String drawh;
    /** 金华德的实际投料重量 */
    @ApiModelProperty(value = "${comment}")
    private BigDecimal stqty;
    /** 客户版本号 */
    @ApiModelProperty(value = "${comment}")
    private String khver;
    /** 是否国六产品 */
    @ApiModelProperty(value = "${comment}")
    private String pfbz;
    /** 是否氢能源产品 */
    @ApiModelProperty(value = "${comment}")
    private String qnbz;
    /** 是否新能源产品 */
    @ApiModelProperty(value = "${comment}")
    private String xnbz;
    /** "Manual"字符-- 人工区；Automatic字符代表智能区 */
    @ApiModelProperty(value = "${comment}")
    private String ktype;
    /** 技术员 */
    @ApiModelProperty(value = "${comment}")
    private String jsyno;

    @ApiModelProperty("修改时间")
    private Date modate;
}
