package cn.ezhizao.project.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName(value = "inv10100")
public class Inv10100 {
    @ApiModelProperty("料号")
    private String part;
    @ApiModelProperty("编码规则 2-半成品料 4-原材料")
    private String type;
    @ApiModelProperty("助记码")
    private String findkey;
    @ApiModelProperty("")
    private String itemtype;
    @ApiModelProperty("结构钢类别 ")
    @TableField(value = "class")
    private String iClass;
    @ApiModelProperty("代用群码")
    private String repcode;
    @ApiModelProperty("")
    private String barcode;
    @ApiModelProperty("账号")
    private String prloc;
    @ApiModelProperty("部门代号")
    private String dept;
    @ApiModelProperty("名称规格图号")
    private String description;
    @ApiModelProperty("规格")
    private String specification;
    @ApiModelProperty("库存单位")
    private String uom;
    @ApiModelProperty("")
    private String pounit;
    @ApiModelProperty("")
    private BigDecimal pofact;
    @ApiModelProperty("")
    private String counit;
    @ApiModelProperty("")
    private BigDecimal cofact;
    @ApiModelProperty("")
    private String sounit;
    @ApiModelProperty("")
    private BigDecimal sofact;
    @ApiModelProperty("计量单位")
    private String wunit;
    @ApiModelProperty("毛重/箱")
    private BigDecimal weight;
    @ApiModelProperty("支数/箱")
    private Integer weigs;
    @ApiModelProperty("成品单个坯重")
    private BigDecimal volume;
    @ApiModelProperty("切除尾数")
    private String rounded;
    @ApiModelProperty("工程图号")
    private String draw;
    @ApiModelProperty("MPS料品")
    private String mpsok;
    @ApiModelProperty("计料形式 Y 正常 N以成品单个坯重来计算用料")
    private String isstype;
    @ApiModelProperty("需求运算")
    private String bypass;
    @ApiModelProperty("结构批量")
    private BigDecimal batchqty;
    @ApiModelProperty("")
    private BigDecimal yield;
    @ApiModelProperty("")
    private String commodity;
    @ApiModelProperty("")
    private String prdline;
    @ApiModelProperty("")
    private String salgrp;
    @ApiModelProperty("")
    private String prcgrp;
    @ApiModelProperty("")
    private String fixmo;
    @ApiModelProperty("")
    private String prpart;
    @ApiModelProperty("")
    private String attrctl;
    @ApiModelProperty("abc分类")
    private String abc;
    @ApiModelProperty("abc控制")
    private String abcctl;
    @ApiModelProperty("盘点日期")
    private Date lcydate;
    @ApiModelProperty("开账期初单价")
    private BigDecimal price;
    @ApiModelProperty("")
    private BigDecimal stdcost;
    @ApiModelProperty("")
    private BigDecimal material;
    @ApiModelProperty("")
    private BigDecimal thismaterial;
    @ApiModelProperty("")
    private BigDecimal prematerial;
    @ApiModelProperty("")
    private BigDecimal labor;
    @ApiModelProperty("")
    private BigDecimal thislabor;
    @ApiModelProperty("")
    private BigDecimal prelabor;
    @ApiModelProperty("")
    private BigDecimal overhead;
    @ApiModelProperty("")
    private BigDecimal thisoverhead;
    @ApiModelProperty("")
    private BigDecimal preoverhead;
    @ApiModelProperty("人工权数")
    private BigDecimal varover;
    @ApiModelProperty("费用权数")
    private BigDecimal mutqty2;
    @ApiModelProperty("")
    private BigDecimal avgprc;
    @ApiModelProperty("")
    private String stdctl;
    @ApiModelProperty("业务员代码")
    private String purchaser;
    @ApiModelProperty("规划人")
    private String planner;
    @ApiModelProperty("委外/供应/制造厂商")
    private String vendor1;
    @ApiModelProperty("安全存量")
    private BigDecimal safqty;
    @ApiModelProperty("再订购点")
    private BigDecimal reorder;
    @ApiModelProperty("最低委外/订购/制造量")
    private BigDecimal minqty;
    @ApiModelProperty("最高委外/订购/制造量")
    private BigDecimal maxqty;
    @ApiModelProperty("委外/订购/制造倍数")
    private BigDecimal mutqty;
    @ApiModelProperty("供应期间")
    private Integer maxperiod;
    @ApiModelProperty("令单合并")
    private String merge;
    @ApiModelProperty("固定前置日")
    private Integer lead;
    @ApiModelProperty("变动前置日")
    private Integer duration;
    @ApiModelProperty("累计前置日")
    private Integer varbase1;
    @ApiModelProperty("变动基数")
    private Integer varbase;
    @ApiModelProperty("规划品")
    private String planitem;
    @ApiModelProperty("供需政策")
    private String police;
    @ApiModelProperty("低阶码")
    private Integer llc;
    @ApiModelProperty("库存量")
    private BigDecimal onhand;
    @ApiModelProperty("")
    private BigDecimal onorder;
    @ApiModelProperty("")
    private BigDecimal allocate;
    @ApiModelProperty("")
    private BigDecimal iqcqty;
    @ApiModelProperty("")
    private String priceflag;
    @ApiModelProperty("商品")
    private String merchandise;
    @ApiModelProperty("批号控制")
    private String lot;
    @ApiModelProperty("辅助量控制")
    private String aux;
    @ApiModelProperty("辅助单位")
    private String auxunit;
    @ApiModelProperty("辅助量")
    private BigDecimal auxqty;
    @ApiModelProperty("使用状况")
    private String status;
    @ApiModelProperty("最近交易日")
    private Date lsttxdate;
    @ApiModelProperty("")
    private BigDecimal subor;
    @ApiModelProperty("")
    private BigDecimal thissubor;
    @ApiModelProperty("")
    private BigDecimal presubor;
    @ApiModelProperty("")
    private BigDecimal other;
    @ApiModelProperty("")
    private BigDecimal thisother;
    @ApiModelProperty("")
    private BigDecimal preother;
    @ApiModelProperty("建档日期")
    private Date createdate;
    @ApiModelProperty("建档人")
    private String createuser;
    @ApiModelProperty("")
    private Date modifydate;
    @ApiModelProperty("")
    private String modifyuser;
    @ApiModelProperty("R/S")
    private String rs;
    @ApiModelProperty("到扣减")
    private String bkitem;
    @ApiModelProperty("保税品")
    private String bond;
    @ApiModelProperty("整批发料")
    private String bissue;
    @ApiModelProperty("")
    private Integer qclead;
    @ApiModelProperty("")
    private String tfcode;
    @ApiModelProperty("")
    private BigDecimal stdlabor;
    @ApiModelProperty("")
    private BigDecimal stdmachine;
    @ApiModelProperty("")
    private BigDecimal accumlabor;
    @ApiModelProperty("")
    private BigDecimal accumachine;
    @ApiModelProperty("")
    private BigDecimal mpsprice;
    @ApiModelProperty("")
    private BigDecimal mpscost;
    @ApiModelProperty("料品大分类")
    private String bigclass;
    @ApiModelProperty("料品小分类")
    private String smlclass;
    @ApiModelProperty("")
    private String potype;
    @ApiModelProperty("动力权数")
    private BigDecimal cstDynamical;
    @ApiModelProperty("料号")
    private String cstFactory;
    @ApiModelProperty("设备权数")
    private BigDecimal cstEquipment;
    @ApiModelProperty("")
    private String cstType;
    @ApiModelProperty("组件类型")
    private String cstZj;
    @ApiModelProperty("模具编号")
    private String cstPartm;
    @ApiModelProperty("成品率考核指标")
    private BigDecimal cstKamt;
    @ApiModelProperty("技术要求")
    private String jsyq;
    @ApiModelProperty("原料形状代码")
    private String xzcode;
    @ApiModelProperty("最近采购价")
    private BigDecimal zjunprc;
    @ApiModelProperty("0;mid(part,6,3)='000';;2:原材料3：机物料")
    private String purtype;
    @ApiModelProperty("材料牌号")
    private String phcode;
    @ApiModelProperty("原材料规格型号码")
    private String xhcode;
    @ApiModelProperty("原材料产地 1 国产 2 进口 3 整装进口")
    private String addcode;
    @ApiModelProperty("原材料长度")
    private String cdcode;
    @ApiModelProperty("0:综合类3：普通轴5：粗大轴")
    private String cptype;
    @ApiModelProperty("1:shaft2:wiper shaft3:pivot shaft4:pivot tube")
    private String shaft;
    @ApiModelProperty("密度")
    private BigDecimal density;
    @ApiModelProperty("成品长度")
    private BigDecimal lenght;
    @ApiModelProperty("直径")
    private BigDecimal dzj;
    @ApiModelProperty("成品长度字符型")
    private String lenghts;
    @ApiModelProperty("公差长度含刀宽")
    private BigDecimal gccd;
    @ApiModelProperty("成品直径字符型")
    private String dzjs;
    @ApiModelProperty("开账期初库存量")
    private BigDecimal onqty;
    @ApiModelProperty("客户简称")
    private String khjc;
    @ApiModelProperty("")
    private Date invdate;
    @ApiModelProperty("客户料号")
    private String khpart;
    @ApiModelProperty("直料长度")
    private String zlcd;
    @ApiModelProperty("技术要求")
    private String jsyq1;
    @ApiModelProperty("1:正常①,2:无半成品①②⑤,3:有半成品①②③④⑤")
    private String rkbz;
    @ApiModelProperty("华普料号")
    private String hpart;
    @ApiModelProperty("炉号")
    private String luhao;
    @ApiModelProperty("生产厂家")
    private String facno;
    @ApiModelProperty("客户订单号")
    private String orderno;
    @ApiModelProperty("包装盒数")
    private Integer bzhs;
    @ApiModelProperty("三叶商品编码")
    private String  spcode;
    @ApiModelProperty("客户商品品名")
    private String spname;
    @ApiModelProperty("客户代码")
    private String cust;
    @ApiModelProperty("原材料计算直径")
    private BigDecimal yzj;
    @ApiModelProperty("")
    private String writeuser;
    @ApiModelProperty("")
    private Date writedate;
    @ApiModelProperty("")
    private String writeruser;
    @ApiModelProperty("钢材分类")
    private String dtype;
    @ApiModelProperty("最近报销尾数单价")
    private BigDecimal zjbxprc;

}
