package cn.ezhizao.project.business.domain;

import java.math.BigDecimal;
import java.util.Date;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 企业租户对象 mrp10201
 *
 * @author ezhizao
 * @date 2023-11-04
 */
@Data
@TableName(value = "mrp10201")
public class Mrp10201
{
    /** 交易代码 */
    @ApiModelProperty(value = "${comment}")
    private String txcode;

    /** 投料/计划单号 */
    @ApiModelProperty(value = "${comment}")
    private String docno;

    /** 投料单/计划单序号 */
    @ApiModelProperty(value = "${comment}")
    private Integer docseq;

    /** 厂别 */
    @Excel(name = "厂别")
    @ApiModelProperty(value = "厂别")
    private String facno;

    /** 领料部门 */
    @Excel(name = "领料部门")
    @ApiModelProperty(value = "领料部门")
    private String cusven;

    /** 客户编码 */
    @Excel(name = "客户编码")
    @ApiModelProperty(value = "客户编码")
    private String cust;

    /** 客户简称 */
    @Excel(name = "客户简称")
    @ApiModelProperty(value = "客户简称")
    private String khname;

    /** 直径 */
    @Excel(name = "直径")
    @ApiModelProperty(value = "直径")
    private String dzjs;

    /** 成品长度 */
    @Excel(name = "成品长度")
    @ApiModelProperty(value = "成品长度")
    private String lenghts;

    /** 直料长度 */
    @Excel(name = "直料长度")
    @ApiModelProperty(value = "直料长度")
    private String zlcds;

    /** 料头长度 */
    @Excel(name = "料头长度")
    @ApiModelProperty(value = "料头长度")
    private String ltcds;

    /** 公差长度 */
    @Excel(name = "公差长度")
    @ApiModelProperty(value = "公差长度")
    private BigDecimal gccd;

    /** 形状码 */
    @Excel(name = "形状码")
    @ApiModelProperty(value = "形状码")
    private String xzcode;

    /** 牌号码 */
    @Excel(name = "牌号码")
    @ApiModelProperty(value = "牌号码")
    private String phcode;

    /** 规格码 */
    @Excel(name = "规格码")
    @ApiModelProperty(value = "规格码")
    private String xhcode;

    /** 产地 */
    @Excel(name = "产地")
    @ApiModelProperty(value = "产地")
    private String addcode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String bigclass;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String smlclass;

    /** 商品编码 */
    @Excel(name = "商品编码")
    @ApiModelProperty(value = "商品编码")
    private String cpart;


    /** 产品工艺版本 */
    @Excel(name = "产品工艺版本")
    @ApiModelProperty(value = "产品工艺版本")
    private String prver;

    /** 库位 */
    @Excel(name = "库位")
    @ApiModelProperty(value = "库位")
    private String cprloc;

    /** 图号 */
    @Excel(name = "图号")
    @ApiModelProperty(value = "图号")
    private String draw;

    /** 商品规格 */
    @Excel(name = "商品规格")
    @ApiModelProperty(value = "商品规格")
    private String spec;

    /** ' */
    @Excel(name = "'")
    @ApiModelProperty(value = "'")
    private String part;

    /** 账号 */
    @Excel(name = "账号")
    @ApiModelProperty(value = "账号")
    private String prloc;

    /** 单位 */
    @Excel(name = "单位")
    @ApiModelProperty(value = "单位")
    private String uom;

    /** 原材料直径 */
    @Excel(name = "原材料直径")
    @ApiModelProperty(value = "原材料直径")
    private BigDecimal yzj;

    /** 原材料或子件描述 */
    @Excel(name = "原材料或子件描述")
    @ApiModelProperty(value = "原材料或子件描述")
    private String description;

    /** 制造数量 */
    @Excel(name = "制造数量")
    @ApiModelProperty(value = "制造数量")
    private BigDecimal zzqty;

    /** 利用率 */
    @Excel(name = "利用率")
    @ApiModelProperty(value = "利用率")
    private BigDecimal utrate;

    /** 长料根数 */
    @Excel(name = "长料根数")
    @ApiModelProperty(value = "长料根数")
    private Integer zlgs;

    /** 限额领料量/投料数量 */
    @Excel(name = "限额领料量/投料数量")
    @ApiModelProperty(value = "限额领料量/投料数量")
    private BigDecimal xeqty;

    /** 实发数量 */
    @Excel(name = "实发数量")
    @ApiModelProperty(value = "实发数量")
    private BigDecimal scqty;

    /** 未领料量 */
    @Excel(name = "未领料量")
    @ApiModelProperty(value = "未领料量")
    private BigDecimal wlqty;

    /** 申请领料量 */
    @Excel(name = "申请领料量")
    @ApiModelProperty(value = "申请领料量")
    private BigDecimal ylqty;

    /** 已领料量 */
    @Excel(name = "已领料量")
    @ApiModelProperty(value = "已领料量")
    private BigDecimal isqty;

    /** 有料制造量 */
    @Excel(name = "有料制造量")
    @ApiModelProperty(value = "有料制造量")
    private BigDecimal inqty;

    /** 无料制造量 */
    @Excel(name = "无料制造量")
    @ApiModelProperty(value = "无料制造量")
    private BigDecimal kyqty;

    /** NA经营初始FM经营申请JH计划审核,OP调度下单YA领料锁定，CL全部领完IN部分领料 */
    @Excel(name = "NA经营初始FM经营申请JH计划审核,OP调度下单YA领料锁定，CL全部领完IN部分领料")
    @ApiModelProperty(value = "NA经营初始FM经营申请JH计划审核,OP调度下单YA领料锁定，CL全部领完IN部分领料")
    private String status;

    /** NA初始,OP调度下单,OK生成批号,SF已投产(第1序录入),IN部分入库,CL全部完工（包括批废） */
    @Excel(name = "NA初始,OP调度下单,OK生成批号,SF已投产(第1序录入),IN部分入库,CL全部完工", readConverterExp = "包=括批废")
    @ApiModelProperty(value = "NA初始,OP调度下单,OK生成批号,SF已投产(第1序录入),IN部分入库,CL全部完工")
    private String lotsta;

    /** 单箱支数 */
    @Excel(name = "单箱支数")
    @ApiModelProperty(value = "单箱支数")
    private Long dxqty;

    /** Y:正常,新增批次,G:改料,不增批次B:补料 */
    @Excel(name = "Y:正常,新增批次,G:改料,不增批次B:补料")
    @ApiModelProperty(value = "Y:正常,新增批次,G:改料,不增批次B:补料")
    private String lotbz;

    /** Y:正常,新增批次,G:改料,不增批次B:补料 */
    @Excel(name = "Y:正常,新增批次,G:改料,不增批次B:补料")
    @ApiModelProperty(value = "Y:正常,新增批次,G:改料,不增批次B:补料")
    private String clsta;

    /** 原投料单号 */
    @Excel(name = "原投料单号")
    @ApiModelProperty(value = "原投料单号")
    private String invno;

    /** 序号 */
    @Excel(name = "序号")
    @ApiModelProperty(value = "序号")
    private Integer invseq;

    /** 计料方式 */
    @Excel(name = "计料方式")
    @ApiModelProperty(value = "计料方式")
    private String isstype;

    /** 成品坯重 */
    @Excel(name = "成品坯重")
    @ApiModelProperty(value = "成品坯重")
    private BigDecimal cppz;

    /** 单重/张 */
    @Excel(name = "单重/张")
    @ApiModelProperty(value = "单重/张")
    private BigDecimal weight;

    /** 产品类型 */
    @Excel(name = "产品类型")
    @ApiModelProperty(value = "产品类型")
    private String cptype;

    /** 盘圆捆数 */
    @Excel(name = "盘圆捆数")
    @ApiModelProperty(value = "盘圆捆数")
    private Integer pyks;

    /** 调机次数 */
    @Excel(name = "调机次数")
    @ApiModelProperty(value = "调机次数")
    private Integer tjcs;

    /** 补料米数 */
    @Excel(name = "补料米数")
    @ApiModelProperty(value = "补料米数")
    private BigDecimal blms;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String cpxz;

    @Excel(name = "备注")
    @ApiModelProperty(value = "备注")
    private String remark;

    /** 华普编码 */
    @Excel(name = "华普编码")
    @ApiModelProperty(value = "华普编码")
    private String hpart;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String emno;

    /** 密度 */
    @Excel(name = "密度")
    @ApiModelProperty(value = "密度")
    private BigDecimal density;

    /** BOM用量 */
    @Excel(name = "BOM用量")
    @ApiModelProperty(value = "BOM用量")
    private BigDecimal base;

    /** 材料类 */
    @Excel(name = "材料类")
    @ApiModelProperty(value = "材料类")
    private String cstType;

    /** 调度码 */
    @Excel(name = "调度码")
    @ApiModelProperty(value = "调度码")
    private String ddyno;

    /** 拉拔厂码 */
    @Excel(name = "拉拔厂码")
    @ApiModelProperty(value = "拉拔厂码")
    private String lendor;

    /** 母材厂码 */
    @Excel(name = "母材厂码")
    @ApiModelProperty(value = "母材厂码")
    private String mendor;

    /** 厂家码 */
    @Excel(name = "厂家码")
    @ApiModelProperty(value = "厂家码")
    private String vendor;

    /** 炉号 */
    @Excel(name = "炉号")
    @ApiModelProperty(value = "炉号")
    private String luhao;

    /** 修改备注 */
    @Excel(name = "修改备注")
    @ApiModelProperty(value = "修改备注")
    private String book;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String xzno;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String phno;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String xhno;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String cdno;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String partno;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String prlocno;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String lenno;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String menno;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private Date shdate;

    /** 库位 */
    @Excel(name = "库位")
    @ApiModelProperty(value = "库位")
    private String kwbz;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String prtyn;

    /** 销售员码 */
    @Excel(name = "销售员码")
    @ApiModelProperty(value = "销售员码")
    private String xsyno;

    /** 计划制造量 */
    @Excel(name = "计划制造量")
    @ApiModelProperty(value = "计划制造量")
    private Long txqty;

    /** 计划用量 */
    @Excel(name = "计划用量")
    @ApiModelProperty(value = "计划用量")
    private BigDecimal jhqty;

    /** 产品描述 */
    @Excel(name = "产品描述")
    @ApiModelProperty(value = "产品描述")
    private String descr;

    /** 轴类型码 */
    @Excel(name = "轴类型码")
    @ApiModelProperty(value = "轴类型码")
    private String ztype;

    /** 预完工日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预完工日", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "预完工日")
    private Date ywdate;

    /** 原材料/子件材料牌号 */
    @Excel(name = "原材料/子件材料牌号")
    @ApiModelProperty(value = "原材料/子件材料牌号")
    private String phname;

    /** 原材料/子件规格 */
    @Excel(name = "原材料/子件规格")
    @ApiModelProperty(value = "原材料/子件规格")
    private String xhname;

    /** 保管码 */
    @Excel(name = "保管码")
    @ApiModelProperty(value = "保管码")
    private String bgyno;

    /** 投料日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "投料日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "投料日期")
    private Date docdate;

    /** 计划审核日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划审核日", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "计划审核日")
    private Date jhdate;

    /** 投料日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "投料日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "投料日期")
    private Date dddate;

    /** 下达日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "下达日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "下达日期")
    private Date phdate;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private Date lldate;

    /** 预完工日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预完工日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "预完工日期")
    private Date gxdate;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String status1;

    /** 总批数 */
    @Excel(name = "总批数")
    @ApiModelProperty(value = "总批数")
    private Integer phsl;

    /** 单批量 */
    @Excel(name = "单批量")
    @ApiModelProperty(value = "单批量")
    private Long phsl1;

    /** 尾批量 */
    @Excel(name = "尾批量")
    @ApiModelProperty(value = "尾批量")
    private Long phsl2;

    /** 主批号/投料单号/计划单号 */
    @Excel(name = "主批号/投料单号/计划单号")
    @ApiModelProperty(value = "主批号/投料单号/计划单号")
    private String lotno;

    /** 任务单号 */
    @Excel(name = "任务单号")
    @ApiModelProperty(value = "任务单号")
    private String hpno;

    /** 任务单序号 */
    @Excel(name = "任务单序号")
    @ApiModelProperty(value = "任务单序号")
    private Long hpseq;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String bdocno;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private Long bdocseq;

    /** 对应单号 */
    @Excel(name = "对应单号")
    @ApiModelProperty(value = "对应单号")
    private String ddno;

    /** 订单序号 */
    @Excel(name = "订单序号")
    @ApiModelProperty(value = "订单序号")
    private Integer ddseq;

    /** 补料数量 */
    @Excel(name = "补料数量")
    @ApiModelProperty(value = "补料数量")
    private BigDecimal blqty;

    /** 补料日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "补料日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "补料日期")
    private Date bldate;

    /** 是否外购生产 */
    @Excel(name = "是否外购生产")
    @ApiModelProperty(value = "是否外购生产")
    private String zjbz;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String phzs;

    /** 领料否 */
    @Excel(name = "领料否")
    @ApiModelProperty(value = "领料否")
    private String llsta;

    /** 有批号否 */
    @Excel(name = "有批号否")
    @ApiModelProperty(value = "有批号否")
    private String phsta;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String bltype;

    /** 计划类型 */
    @Excel(name = "计划类型")
    @ApiModelProperty(value = "计划类型")
    private String jhtype;

    /** 轴类型 */
    @Excel(name = "轴类型")
    @ApiModelProperty(value = "轴类型")
    private String ztyna;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String drbz;

    /** 操作者 */
    @Excel(name = "操作者")
    @ApiModelProperty(value = "操作者")
    private String writeruser;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "更新日期")
    private Date writedate;

    /** 批次累计入库量 */
    @Excel(name = "批次累计入库量")
    @ApiModelProperty(value = "批次累计入库量")
    private Long rkqty;

    /** 批废量 */
    @Excel(name = "批废量")
    @ApiModelProperty(value = "批废量")
    private Long pfqty;

    /** 封存 */
    @Excel(name = "封存")
    @ApiModelProperty(value = "封存")
    private Long fcqty;

    /** 停产 */
    @Excel(name = "停产")
    @ApiModelProperty(value = "停产")
    private Long tcqty;

    /** 公司研发项目代号sys10110_xz.dept  and type='3 */
    @Excel(name = "公司研发项目代号sys10110_xz.dept  and type='3")
    @ApiModelProperty(value = "公司研发项目代号sys10110_xz.dept  and type='3")
    private String xmno;

}
