package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizOutsourcedOrderDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 外协单从Mapper接口
 *
 * @author ezhizao
 * date    2024-04-26
 */
public interface BizOutsourcedOrderDetailMapper extends BaseMapper<BizOutsourcedOrderDetail>
{
    /**
     * 查询外协单从列表
     *
     * @param bizOutsourcedOrderDetail 外协单从
     * @return 外协单从集合
     */
    public List<BizOutsourcedOrderDetail> getList(BizOutsourcedOrderDetail bizOutsourcedOrderDetail);

    /**
     * 物理删除
     * @param bizOutsourcedOrderDetail
     * @return 删除结果
    */
    public int physicalDelete(BizOutsourcedOrderDetail bizOutsourcedOrderDetail);

    int removeByMasterIds(List<Long> ids);
    /**
     * 查询外协单从列表
     *
     * @param bizOutsourcedOrderDetail 外协单从
     * @return 外协单从集合
     */
    public List<BizOutsourcedOrderDetail> getListForReceipt(BizOutsourcedOrderDetail bizOutsourcedOrderDetail);
    /**
     * 查询所有外协单从列表
     *
     * @param bizOutsourcedOrderDetail 外协单从
     * @return 外协单从集合
     */
    public List<BizOutsourcedOrderDetail> getListForAllReceipt(BizOutsourcedOrderDetail bizOutsourcedOrderDetail);
    public List<BizOutsourcedOrderDetail> getFinishedReturnList(BizOutsourcedOrderDetail bizOutsourcedOrderDetail);
    public List<BizOutsourcedOrderDetail> getFinishedOutsourceDetailList(BizOutsourcedOrderDetail bizOutsourcedOrderDetail);
}
