package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizOutsourcedOrderDetailProcess;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 外协单从对应的外协工序的从Mapper接口
 *
 * @author ezhizao
 * @date 2024-04-26
 */
public interface BizOutsourcedOrderDetailProcessMapper extends BaseMapper<BizOutsourcedOrderDetailProcess>
{
    /**
     * 查询外协单从对应的外协工序的从列表
     *
     * @param bizOutsourcedOrderDetailProcess 外协单从对应的外协工序的从
     * @return 外协单从对应的外协工序的从集合
     */
    public List<BizOutsourcedOrderDetailProcess> getList(BizOutsourcedOrderDetailProcess bizOutsourcedOrderDetailProcess);

    /**
     * 物理删除
     * @param bizOutsourcedOrderDetailProcess
     * @return 删除结果
    */
    public int physicalDelete(BizOutsourcedOrderDetailProcess bizOutsourcedOrderDetailProcess);

    int removeByMasterIds(List<Long> ids);
    public List<BizOutsourcedOrderDetailProcess> getDetailList(BizOutsourcedOrderDetailProcess bizOutsourcedOrderDetailProcess);
}
