package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizCompanyMapper;
import cn.ezhizao.project.business.domain.BizCompany;
import cn.ezhizao.project.business.service.IBizCompanyService;

/**
 * companyService业务层处理
 *
 * @author ezhizao
 * @date 2024-01-03
 */
@Service
public class BizCompanyServiceImpl  extends ServiceImpl<BizCompanyMapper, BizCompany> implements IBizCompanyService
{
    @Resource
    private BizCompanyMapper bizCompanyMapper;

    /**
     * 查询company列表
     *
     * @param bizCompany company
     * @return company
     */
    @Override
    public List<BizCompany> getList(BizCompany bizCompany)
    {
        return bizCompanyMapper.getList(bizCompany);
    }

    /**
     * 物理删除
     * @param bizCompany
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizCompany bizCompany){ return bizCompanyMapper.physicalDelete(bizCompany); };

}
