package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizMachineCenterMapper;
import cn.ezhizao.project.business.domain.BizMachineCenter;
import cn.ezhizao.project.business.service.IBizMachineCenterService;

/**
 * 加工中心Service业务层处理
 *
 * @author ezhizao
 * @date 2024-06-06
 */
@Service
public class BizMachineCenterServiceImpl  extends ServiceImpl<BizMachineCenterMapper, BizMachineCenter> implements IBizMachineCenterService
{
    @Resource
    private BizMachineCenterMapper bizMachineCenterMapper;

    /**
     * 查询加工中心列表
     *
     * @param bizMachineCenter 加工中心
     * @return 加工中心
     */
    @Override
    public List<BizMachineCenter> getList(BizMachineCenter bizMachineCenter)
    {
        return bizMachineCenterMapper.getList(bizMachineCenter);
    }

    /**
     * 物理删除
     * @param bizMachineCenter
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizMachineCenter bizMachineCenter){ return bizMachineCenterMapper.physicalDelete(bizMachineCenter); };

}
