package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizMaterialBaseInfoMapper;
import cn.ezhizao.project.business.domain.BizMaterialBaseInfo;
import cn.ezhizao.project.business.service.IBizMaterialBaseInfoService;

/**
 * 材料基础信息Service业务层处理
 *
 * @author ezhizao
 * @date 2024-06-18
 */
@Service
public class BizMaterialBaseInfoServiceImpl  extends ServiceImpl<BizMaterialBaseInfoMapper, BizMaterialBaseInfo> implements IBizMaterialBaseInfoService
{
    @Resource
    private BizMaterialBaseInfoMapper bizMaterialBaseInfoMapper;

    /**
     * 查询材料基础信息列表
     *
     * @param bizMaterialBaseInfo 材料基础信息
     * @return 材料基础信息
     */
    @Override
    public List<BizMaterialBaseInfo> getList(BizMaterialBaseInfo bizMaterialBaseInfo)
    {
        return bizMaterialBaseInfoMapper.getList(bizMaterialBaseInfo);
    }

    /**
     * 物理删除
     * @param bizMaterialBaseInfo
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizMaterialBaseInfo bizMaterialBaseInfo){ return bizMaterialBaseInfoMapper.physicalDelete(bizMaterialBaseInfo); };

}
