package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizMaterialBaseMapper;
import cn.ezhizao.project.business.domain.BizMaterialBase;
import cn.ezhizao.project.business.service.IBizMaterialBaseService;

/**
 * 材料基本 来源inv10100Service业务层处理
 *
 * @author ezhizao
 * @date 2024-06-17
 */
@Service
public class BizMaterialBaseServiceImpl extends ServiceImpl<BizMaterialBaseMapper, BizMaterialBase> implements IBizMaterialBaseService
{
    @Resource
    private BizMaterialBaseMapper bizMaterialBaseMapper;

    /**
     * 查询材料基本 来源inv10100列表
     *
     * @param bizMaterialBase 材料基本 来源inv10100
     * @return 材料基本 来源inv10100
     */
    @Override
    public List<BizMaterialBase> getList(BizMaterialBase bizMaterialBase)
    {
        return bizMaterialBaseMapper.getList(bizMaterialBase);
    }

    /**
     * 物理删除
     * @param bizMaterialBase
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizMaterialBase bizMaterialBase){ return bizMaterialBaseMapper.physicalDelete(bizMaterialBase); };

}
