package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.project.business.domain.BizOutsourcedOrder;
import cn.ezhizao.project.business.domain.BizOutsourcedOrderDetail;
import cn.ezhizao.project.business.mapper.BizOutsourcedOrderMapper;
import cn.ezhizao.project.business.service.IBizOutsourcedOrderService;
import cn.ezhizao.project.system.domain.SysUser;
import cn.ezhizao.project.system.mapper.SysUserMapper;
import cn.hutool.core.io.IoUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.*;


/**
 * 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子Service业务层处理
 *
 * @author ezhizao
 * @date 2024-04-26
 */
@Service
public class BizOutsourcedOrderServiceImpl  extends ServiceImpl<BizOutsourcedOrderMapper, BizOutsourcedOrder> implements IBizOutsourcedOrderService
{
    @Resource
    private BizOutsourcedOrderMapper bizOutsourcedOrderMapper;

    @Resource
    private SysUserMapper sysUserMapper;



    /**
     * 查询外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子列表
     *
     * @param bizOutsourcedOrder 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子
     * @return 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子
     */
    @Override
    public List<BizOutsourcedOrder> getList(BizOutsourcedOrder bizOutsourcedOrder)
    {
        return bizOutsourcedOrderMapper.getList(bizOutsourcedOrder);
    }

    /**
     * 物理删除
     * @param bizOutsourcedOrder
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizOutsourcedOrder bizOutsourcedOrder){ return bizOutsourcedOrderMapper.physicalDelete(bizOutsourcedOrder); }

}
