package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.project.business.domain.BizProductionPlanDetail;
import cn.ezhizao.project.business.mapper.BizProductionPlanDetailMapper;
import cn.ezhizao.project.business.service.IBizProductionPlanDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * 生产计划明细Service业务层处理
 *
 * @author ruoyi
 * @date 2023-11-04
 */
@Service
public class BizProductionPlanDetailServiceImpl extends ServiceImpl<BizProductionPlanDetailMapper, BizProductionPlanDetail> implements IBizProductionPlanDetailService {
    @Resource
    private BizProductionPlanDetailMapper bizProductionPlanDetailMapper;

    /**
     * 查询生产计划明细列表
     *
     * @param bizProductionPlanDetail 生产计划明细
     * @return 生产计划明细
     */
    @Override
    public List<BizProductionPlanDetail> getList(BizProductionPlanDetail bizProductionPlanDetail) {
        return bizProductionPlanDetailMapper.getList(bizProductionPlanDetail);
    }

    /**
     * 物理删除
     *
     * @param bizProductionPlanDetail 生产计划明细
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizProductionPlanDetail bizProductionPlanDetail) {
        return bizProductionPlanDetailMapper.physicalDelete(bizProductionPlanDetail);
    }

    ;

    /**
     * 批量保存
     *
     * @param list 生产计划明细 集合
     * @return 保存结果
     */
    @Override
    public int saveBatchByRawSql(List<BizProductionPlanDetail> list) {
        return bizProductionPlanDetailMapper.saveBatchByRawSql(list);
    }

    ;

}
