package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.project.business.domain.BizPullP2Time;
import cn.ezhizao.project.business.mapper.BizPullP2TimeMapper;
import cn.ezhizao.project.business.service.IBizPullP2TimeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * 企业租户Service业务层处理
 *
 * @author ezhizao
 * @date 2023-11-13
 */
@Service
public class BizPullP2TimeServiceImpl  extends ServiceImpl<BizPullP2TimeMapper, BizPullP2Time> implements IBizPullP2TimeService
{
    @Resource
    private BizPullP2TimeMapper bizPullP2TimeMapper;

    /**
     * 查询企业租户列表
     *
     * @param bizPullP2Time 企业租户
     * @return 企业租户
     */
    @Override
    public List<BizPullP2Time> getList(BizPullP2Time bizPullP2Time)
    {
        return bizPullP2TimeMapper.getList(bizPullP2Time);
    }

    /**
     * 物理删除
     * @param bizPullP2Time
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizPullP2Time bizPullP2Time){ return bizPullP2TimeMapper.physicalDelete(bizPullP2Time); };

}
