package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.project.business.domain.BizReturnReceiptDetail;
import cn.ezhizao.project.business.mapper.BizReturnReceiptDetailMapper;
import cn.ezhizao.project.business.service.IBizReturnReceiptDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 收回单主表
 *
 * @author ezhizao
 * date    2024-05-05
 */
@Service
public class BizReturnReceiptDetailServiceImpl extends ServiceImpl<BizReturnReceiptDetailMapper, BizReturnReceiptDetail> implements IBizReturnReceiptDetailService
{
    @Resource
    private BizReturnReceiptDetailMapper bizReturnReceiptDetailMapper;

    /**
     * 查询收回单明细
     *
     * @param bizReturnReceiptDetail 收回单明细
     * @return 收回单主表
     */
    @Override
    public List<BizReturnReceiptDetail> getList(BizReturnReceiptDetail bizReturnReceiptDetail)
    {
        return bizReturnReceiptDetailMapper.getList(bizReturnReceiptDetail);
    }

    /**
     * 物理删除
     * @param bizReturnReceiptDetail 待删除
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizReturnReceiptDetail bizReturnReceiptDetail) {
        return bizReturnReceiptDetailMapper.physicalDelete(bizReturnReceiptDetail);
    }
}
