package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.project.business.domain.BizReturnReceipt;
import cn.ezhizao.project.business.mapper.BizOutsourcedOrderMapper;
import cn.ezhizao.project.business.mapper.BizReturnReceiptMapper;
import cn.ezhizao.project.business.service.IBizReturnReceiptService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 收回单主表
 *
 * @author ezhizao
 * date    2024-05-05
 */
@Service
public class BizReturnReceiptServiceImpl extends ServiceImpl<BizReturnReceiptMapper, BizReturnReceipt> implements IBizReturnReceiptService
{
    @Resource
    private BizReturnReceiptMapper bizReturnReceiptMapper;
    @Resource
    private BizOutsourcedOrderMapper bizOutsourcedOrderMapper;

    /**
     * 查询外协单主表
     *
     * @param bizReturnReceipt 外协单主表
     * @return 外协单主表
     */
    @Override
    public List<BizReturnReceipt> getList(BizReturnReceipt bizReturnReceipt)
    {
        return bizReturnReceiptMapper.getList(bizReturnReceipt);
    }

    /**
     * 物理删除
     * @param bizReturnReceipt 待删除
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizReturnReceipt bizReturnReceipt){ return bizReturnReceiptMapper.physicalDelete(bizReturnReceipt); }
}
