package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.framework.aspectj.lang.annotation.DataSource;
import cn.ezhizao.framework.aspectj.lang.enums.DataSourceType;
import cn.ezhizao.project.business.domain.Sfc10300;
import cn.ezhizao.project.business.mapper.Sfc10300Mapper;
import cn.ezhizao.project.business.service.ISfc10300Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class Sfc10300ServiceImpl extends ServiceImpl<Sfc10300Mapper, Sfc10300> implements ISfc10300Service
{
    @Resource
    private Sfc10300Mapper sfc10300Mapper;

    /**
     * 查询mrp10200列表
     *
     * @param queryWrapper<Sfc10300> queryWrapper
     * @return mrp10200
     */
    @Override
    @DataSource(value = DataSourceType.SLAVE)
    public List<Sfc10300> getList(QueryWrapper<Sfc10300> queryWrapper)
    {
        return sfc10300Mapper.selectList(queryWrapper);
    }

    @Override
    @DataSource(value = DataSourceType.SLAVE)
    public List<Sfc10300> getProcessWrbz() {
        return sfc10300Mapper.getProcessWrbz();
    }
}